Cyberduck Mountain Duck CLI

#7920 closed defect (fixed)

Null pointer in FolderTransferCollection

Reported by: adoddsgirl Owned by: yla
Priority: normal Milestone: 4.4.5
Component: webdav Version: 4.4.4
Severity: normal Keywords: crash
Cc: Architecture:
Platform: Windows 7

Description (last modified by dkocher)

Hello,

In the past two days when I try to upload a file through WebDav, when I click "upload" and select the file from my computer, Cyberduck immediately crashes. I tried uninstalling and reinstalling the program but that did not help.

I apologize if this question has already been answered, I'm afraid I haven't been able to figure out how to navigate forum/closed ticket sections.

Thanks so much for your help!

Attachments (1)

cyberduck.log (21.0 KB) - added by adoddsgirl on Apr 29, 2014 at 8:38:34 PM.

Download all attachments as: .zip

Change History (7)

comment:1 Changed on Apr 29, 2014 at 8:10:35 PM by dkocher

  • Component changed from core to webdav
  • Description modified (diff)
  • Owner set to yla
  • Summary changed from Cyberduck crashes on upload attempt to Crashes on upload attempt

Please include the file cyberduck.log in the application support directory.

Changed on Apr 29, 2014 at 8:38:34 PM by adoddsgirl

comment:2 Changed on May 7, 2014 at 3:26:12 PM by dkocher

  • Milestone set to 4.4.5
  • Owner changed from yla to dkocher
  • Status changed from new to assigned
  • Summary changed from Crashes on upload attempt to Null pointer in FolderTransferCollection

comment:3 Changed on May 7, 2014 at 3:26:34 PM by dkocher

2014-04-29 12:47:17,966 [background-5] FATAL ch.cyberduck.ui.AbstractController - Unhandled exception running background task null
java.lang.NullPointerException
	at ch.cyberduck.core.FolderTransferCollection.addAll(FolderTransferCollection.java:168)
	at ch.cyberduck.core.FolderTransferCollection.load(FolderTransferCollection.java:195)
	at ch.cyberduck.core.TransferCollection.load(TransferCollection.java:199)
	at cli.Ch.Cyberduck.Ui.Controller.MainController.<ApplicationDidFinishLaunching>b__d(Unknown Source)
	at cli.Ch.Cyberduck.Ui.Controller.AsyncDelegateBackgroundAction.run(Unknown Source)
	at ch.cyberduck.core.threading.AbstractBackgroundAction.call(AbstractBackgroundAction.java:119)
	at ch.cyberduck.ui.AbstractController$BackgroundCallable.call(AbstractController.java:159)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:167)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:604)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:57)
	at java.lang.Thread.run(Thread.java:937)
	at cli.System.Threading.ThreadHelper.ThreadStart_Context(Unknown Source)
	at cli.System.Threading.ExecutionContext.runTryCode(Unknown Source)
	at cli.System.Runtime.CompilerServices.RuntimeHelpers.ExecuteCodeWithGuaranteedCleanup(Unknown Source)
 

comment:4 Changed on May 7, 2014 at 3:28:28 PM by dkocher

  • Owner changed from dkocher to yla
  • Status changed from assigned to new

comment:5 Changed on May 16, 2014 at 1:54:01 PM by dkocher

Can you please attach the .cyberducktransfer files in the http://trac.cyberduck.ch/wiki/help/en/faq#Wherearepreferencesandapplicationsettingssavedto application support directory] in C:\Users\[username]\AppData\Roaming\Cyberduck\Transfers.

comment:6 Changed on May 16, 2014 at 2:16:41 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r14647.

Note: See TracTickets for help on using tickets.